@charset "UTF-8";

/* CSS rules go below */

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

body {
    background-color: rgb(255, 246, 246);
}
.y.mandatory-scroll-snapping {
  scroll-snap-type: y mandatory;
}

img {
    display: block;
    margin: auto;
    margin-top: 60px;
}

h4 {
    font-family: 'Courier New', Courier, monospace;
    font-weight: lighter;
    font-size:17px;
    font-style: italic;
    padding: 30px;
    text-align: center;
    color: rgb(130, 200, 230);
    margin-bottom: 60px;
    margin-top: 30px;
}

a {
    width: 100%;
    height: 100%;
    cursor: url("cursors/final_flower_bouquet.svg"),auto;
    color: transparent;
}

div.wrapper{
    width:100vw;
    height:100vh;
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    align-content: center;
    background-color: rgb(255, 246, 246);
}

section.container {
  position: relative;
  width: auto;
  display: flex;
  flex-wrap: wrap;
  width: calc( min( calc(100vh / 7), calc(100vw / 11)) * 11);
  grid-template-columns: repeat(11, 1fr);
  grid-template-rows: repeat(7, 1fr);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  justify-content: center;
  cursor: none;
  background-color: #F00;
}


div.square {
/*
    width: 9.09090909vw;
    height: 9.09090909vw;
*/

    width: min( calc(100vh / 7), calc(100vw / 11));
    height: min( calc(100vh / 7), calc(100vw / 11));
    border: 0px solid black;
    text-align: center;
    font-size: 50px;
}

.square:nth-child(odd) {
    background-color: rgb(58, 143, 2);
}

.square:nth-child(even) {
    background-color: #7ac011;
}

div#AA {
    cursor:url("cursors/start.svg"),auto;
}
div#AA:hover {
    background-color: rgb(51, 189, 186);
    transition: all 0.1s ease-in;
}
div#AB {
    cursor:url("cursors/arrow_right.svg"),auto;
}
div#AB:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#AC {
    cursor:url("cursors/arrow_down.svg"),auto;
}
div#AC:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#BC {
    cursor:url("cursors/arrow_down.svg"),auto;
}
div#BC:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#CC {
    cursor:url("cursors/flower1.svg"),auto;
}
div#CC:hover {
    background-color: rgb(237, 85, 43);
    transition: all 0.1s ease-in;
}
div#CD {
    cursor:url("cursors/flower4.svg"),auto;
}
div#CD:hover {
    background-color: rgb(219, 77, 158);
    transition: all 0.1s ease-in;
}
div#DC {
    cursor:url("cursors/flower1_down.svg"),auto;
}
div#DC:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#DD {
    cursor:url("cursors/flower3_up.svg"),auto;
}
div#DD:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#DE {
    cursor:url("cursors/flower3_left.svg"),auto;
}
div#DE:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#DF {
    cursor:url("cursors/flower3_left.svg"),auto;
}
div#DF:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#EA {
    cursor:url("cursors/flower1_down.svg"),auto;
}
div#EA:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#EB {
    cursor:url("cursors/flower1_left.svg"),auto;
}
div#EB:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#EC {
    cursor:url("cursors/flower1_left.svg"),auto;
}
div#EC:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#ED {
    cursor:url("cursors/flower3.svg"),auto;
}
div#ED:hover {
    background-color: rgb(250, 132, 54);
    transition: all 0.1s ease-in;
}
div#EE {
    cursor:url("cursors/flower3_down.svg"),auto;
}
div#EE:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#EF {
    cursor:url("cursors/flower3_up.svg"),auto;
}
div#EF:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#FA {
    cursor:url("cursors/flower2.svg"),auto;
}
div#FA:hover {
    background-color: rgb(114, 82, 164);
    transition: all 0.1s ease-in;
}
div#FD {
    cursor:url("cursors/flower2_up.svg"),auto;
}
div#FD:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#FE {
    cursor:url("cursors/flower3_right.svg"),auto;
}
div#FE:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#FF {
    cursor:url("cursors/flower3_up.svg"),auto;
}
div#FF:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#GA {
    cursor:url("cursors/flower2_right.svg"),auto;
}
div#GA:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#GB {
    cursor:url("cursors/flower2_right.svg"),auto;
}
div#GB:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#GC {
    cursor:url("cursors/flower2_right.svg"),auto;
}
div#GC:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#GD {
    cursor:url("cursors/flower2_up.svg"),auto;
}
div#GD:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#BD {
    cursor:url("cursors/flower4_right.svg"),auto;
}
div#BD:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#BE {
    cursor:url("cursors/flower4_up.svg"),auto;
}
div#BE:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#AE {
    cursor:url("cursors/flower4_right.svg"),auto;
}
div#AE:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#AF {
    cursor:url("cursors/keep_looking.svg"),auto;
}
div#AF:hover {
    background-color: rgb(255, 89, 0);
    transition: all 0.1s ease-in;
}
div#AG {
    cursor:url("cursors/flower4_down.svg"),auto;
}
div#AG:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#BG {
    cursor:url("cursors/flower4_down.svg"),auto;
}
div#BG:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#CG {
    cursor:url("cursors/flower4_right.svg"),auto;
}
div#CG:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#CH {
    cursor:url("cursors/flower5.svg"),auto;
}
div#CH:hover {
    background-color: rgb(57, 207, 125);
    transition: all 0.1s ease-in;
}
div#DH {
    cursor:url("cursors/flower5_left.svg"),auto;
}
div#DH:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#DG {
    cursor:url("cursors/flower5_down.svg"),auto;
}
div#DG:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#EG {
    cursor:url("cursors/flower5_down.svg"),auto;
}
div#EG:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#FG {
    cursor:url("cursors/flower5_right.svg"),auto;
}
div#FG:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#FH {
    cursor:url("cursors/flower5_right.svg"),auto;
}
div#FH:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#FI {
    cursor:url("cursors/flower6.svg"),auto;
}
div#FI:hover {
    background-color: rgb(227, 141, 131);
    transition: all 0.1s ease-in;
}
div#EI {
    cursor:url("cursors/flower6_right.svg"),auto;
}
div#EI:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#EJ {
    cursor:url("cursors/flower6_down.svg"),auto;
}
div#EJ:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#FJ {
    cursor:url("cursors/flower6_down.svg"),auto;
}
div#FJ:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#GJ {
    cursor:url("cursors/flower6_right.svg"),auto;
}
div#GJ:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#GK {
    cursor:url("cursors/flower6_up.svg"),auto;
}
div#GK:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#FK {
    cursor:url("cursors/flower6_up.svg"),auto;
}
div#FK:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#EK {
    cursor:url("cursors/one_more.svg"),auto;
}
div#EK:hover {
    background-color: rgb(40, 128, 199);
    transition: all 0.1s ease-in;
}
div#DK {
    cursor:url("cursors/flower6_left.svg"),auto;
}
div#DK:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#DJ {
    cursor:url("cursors/flower6_left.svg"),auto;
}
div#DJ:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#DI {
    cursor:url("cursors/flower6_up.svg"),auto;
}
div#DI:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#CI {
    cursor:url("cursors/flower6_up.svg"),auto;
}
div#CI:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#BI {
    cursor:url("cursors/flower6_right.svg"),auto;
}
div#BI:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#BJ {
    cursor:url("cursors/flower6_right.svg"),auto;
}
div#BJ:hover {
    background-color: rgb(54, 125, 7);
    transition: all 0.1s ease-in;
}
div#BK {
    cursor:url("cursors/flower6_down.svg"),auto;
}
div#BK:hover {
    background-color: #72b211;
    transition: all 0.1s ease-in;
}
div#CK {
    cursor:url("cursors/final_bouquet.svg"),auto;
}
div#CK:hover {
    background-color: rgb(204, 54, 111);
    transition: all 0.1s ease-in;
}
